MockGriffonApplication (Griffon 0.9.5-rc2)
Date: 2012-03-09

Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## griffon.test.mock
[Groovy] Class MockGriffonApplication

    java.lang.Object
      org.codehaus.griffon.runtime.core.AbstractObservable
          org.codehaus.griffon.runtime.core.AbstractGriffonApplication
              griffon.test.mock.MockGriffonApplication

    class MockGriffonApplication
    extends AbstractGriffonApplication

Customizable implementation og `GriffonApplication` useful for testing.

You can override the values of all config classes before `initialize()` is called.

Authors:
  Andres Almiray

Field Summary

Fields inherited from class AbstractGriffonApplication
EMPTY_ARGS, addonManager, artifactManager, bindings, builderConfig, config, eventRouter, eventsConfig, locale, lock, log, mvcGroupManager, phase, resourceLocator, serviceManager, shutdownHandlers, shutdownLock, startupArgs

Fields inherited from class AbstractObservable
pcs

Property Summary
`Class` | `appConfigClass` Defaults to `griffon.test.mock.MockApplication`
`Closure` | `applicationContainerGenerator`
`Class` | `builderClass` Defaults to `griffon.test.mock.MockBuilderConfig`
`Class` | `configClass` Defaults to `griffon.test.mock.MockConfig`
`Class` | `eventsClass` Defaults to `griffon.test.mock.MockEvents`
`UIThreadHandler` | `uiThreadHandler`

Constructor Summary
`MockGriffonApplication()`
`MockGriffonApplication(String[] args)`

Method Summary
`void` | `bootstrap()`
`Object` | `createApplicationContainer()` Returns the value form the execution of `applicationContainerGenerator` or an empty map
`Class` | `getAppConfigClass()`
`Class` | `getBuilderClass()`
`Class` | `getConfigClass()`
`Class` | `getEventsClass()`
`void` | `realize()`
`void` | `setUiThreadHandler(UIThreadHandler uiThreadHandler)`
`void` | `show()`

Methods inherited from class AbstractGriffonApplication
addApplicationEventListener, addApplicationEventListener, addApplicationEventListener, addShutdownHandler, buildMVCGroup, buildMVCGroup, buildMVCGroup, buildMVCGroup, buildMVCGroup, buildMVCGroup, canShutdown, createApplicationContainer, createMVCGroup, createMVCGroup, createMVCGroup, createMVCGroup, createMVCGroup, createMVCGroup, destroyMVCGroup, event, event, eventAsync, eventAsync, eventOutside, eventOutside, eventOutsideUI, eventOutsideUI, execAsync, execFuture, execFuture, execFuture, execFuture, execInsideUIAsync, execInsideUISync, execOutside, execOutsideUI, execSync, getAddonManager, getAppConfigClass, getArtifactManager, getBindings, getBuilderClass, getBuilderConfig, getBuilders, getConfig, getConfigClass, getControllers, getEventsClass, getEventsConfig, getGroups, getLocale, getLog, getMetadata, getModels, getMvcGroupManager, getPhase, getResourceAsStream, getResourceAsURL, getResources, getServiceManager, getServices, getStartupArgs, getViews, initialize, isEventPublishingEnabled, isUIThread, loadClass, newInstance, ready, removeApplicationEventListener, removeApplicationEventListener, removeApplicationEventListener, removeShutdownHandler, setAddonManager, setArtifactManager, setBindings, setBuilderConfig, setConfig, setEventPublishingEnabled, setEventsConfig, setLocale, setMvcGroupManager, setPhase, setServiceManager, shutdown, startup, withMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup

Methods inherited from class AbstractObservable
addPropertyChangeListener, addPropertyChangeListener, firePropertyChange, firePropertyChange, getPropertyChangeListeners, getPropertyChangeListeners, removePropertyChangeListener, removePropertyChangeListener

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Property Detail

### appConfigClass

    Class appConfigClass

  Defaults to `griffon.test.mock.MockApplication`

### applicationContainerGenerator

    Closure applicationContainerGenerator

### builderClass

    Class builderClass

  Defaults to `griffon.test.mock.MockBuilderConfig`

### configClass

    Class configClass

  Defaults to `griffon.test.mock.MockConfig`

### eventsClass

    Class eventsClass

  Defaults to `griffon.test.mock.MockEvents`

### uiThreadHandler

    UIThreadHandler uiThreadHandler

Constructor Detail

### MockGriffonApplication

    MockGriffonApplication()

### MockGriffonApplication

    MockGriffonApplication(String[] args)

Method Detail

### bootstrap

    void bootstrap()

### createApplicationContainer

    Object createApplicationContainer()

  Returns the value form the execution of `applicationContainerGenerator` or an empty map

### getAppConfigClass

    Class getAppConfigClass()

### getBuilderClass

    Class getBuilderClass()

### getConfigClass

    Class getConfigClass()

### getEventsClass

    Class getEventsClass()

### realize

    void realize()

### setUiThreadHandler

    void setUiThreadHandler(UIThreadHandler uiThreadHandler)

### show

    void show()

Groovy Documentation